# DataExchange
TKSTEPBase
StepBasic

# StepBasic_IdentificationAssignment Class Reference

Representation of STEP entity IdentificationAssignment
.

`#include <StepBasic_IdentificationAssignment.hxx>`

Inheritance diagram for StepBasic_IdentificationAssignment:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_IdentificationAssignment ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aAssignedId, const Handle(StepBasic_IdentificationRole)&aRole)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | AssignedId () const
| Returns field AssignedId .
Standard_EXPORT void | SetAssignedId (const Handle(TCollection_HAsciiString)&AssignedId)
| Set field AssignedId .
Standard_EXPORT Handle_StepBasic_IdentificationRole | Role () const
| Returns field Role .
Standard_EXPORT void | SetRole (const Handle(StepBasic_IdentificationRole)&Role)
| Set field Role .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theAssignedId
Handle_StepBasic_IdentificationRole | theRole

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_IdentificationAssignment::StepBasic_IdentificationAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_IdentificationAssignment::AssignedId | ( |  | ) | const

Standard_EXPORT const StepBasic_IdentificationAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepAP214_AppliedExternalIdentificationAssignment, and StepBasic_ExternalIdentificationAssignment.

Standard_EXPORT void StepBasic_IdentificationAssignment::Init | ( | const Handle(TCollection_HAsciiString)& | aAssignedId,
|  | const Handle(StepBasic_IdentificationRole)& | aRole
| ) |

Standard_EXPORT Handle_StepBasic_IdentificationRole StepBasic_IdentificationAssignment::Role | ( |  | ) | const

Standard_EXPORT void StepBasic_IdentificationAssignment::SetAssignedId | ( | const Handle(TCollection_HAsciiString)& | AssignedId | ) |

Standard_EXPORT void StepBasic_IdentificationAssignment::SetRole | ( | const Handle(StepBasic_IdentificationRole)& | Role | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_IdentificationAssignment::theAssignedId `[private]`

Handle_StepBasic_IdentificationRole StepBasic_IdentificationAssignment::theRole `[private]`

The documentation for this class was generated from the following file:

- StepBasic_IdentificationAssignment.hxx